#include <bits/stdc++.h>
using namespace std;
using ll = long long;
using ii = pair<int,int>;
using vi = vector<int>;
using vii = vector<ii>;
using vvi = vector<vi>;
#define ALL(x) (x).begin(),(x).end()
#define ff first
#define ss second
#define D(a) cerr << ">> " << #a << " = >" << a << "<" << endl
#define PB push_back
#define F(i,a,b) for ( int i = int(a); i < int(b); ++i )
#define FD(i,a,b) for ( int i = int(a); i >= int(b); --i )
#define R1(a) scanf("%d",&a)
#define R2(a,b) scanf("%d%d",&a,&b)
#define R3(a,b,c) scanf("%d%d%d",&a,&b,&c)
#define DR1(a) int a; scanf("%d",&a)
#define DR2(a,b) int a,b; scanf("%d%d",&a,&b)
#define DR3(a,b,c) int a,b,c; scanf("%d%d%d",&a,&b,&c)

const int INF = 1e9 + 7;
constexpr const double PI = acos(-1);
const double EPS = 1e-9;

const map<char,int> values = {{'2',2},{'3',3},{'4',4},{'5',5},{'6',6},{'7',7},{'8',8},{'9',9},{'T',10},{'J',10},{'Q',10},{'K',10},{'A',10}};
vector<string> hand(5);
int (*modified)(int);
int modifiedCnt;

int present(char c) {
    int cnt = 0;
    for (auto card : hand)
        cnt += count(begin(card), end(card), c);
    return cnt;
}

int rule0(int score) {
    return score + accumulate(begin(hand), end(hand), 0, [] (int val, string card) { return val + values.at(card[0]); });
}

int rule1(int score) {
    return score + values.at(hand[0][0]) * present('J') + 1;
}

int rule2(int score) {
    return score * 2;
}

int rule3(int score) {
    set<char> colors;
    for (auto card : hand)
        colors.insert(card[1]);
    return colors.size() == 4 ? score * 2 : score;
}

int rule4(int score) {
    int red = present('H') + present('D'), black = 5 - red;
    return score + abs(red - black);
}

int rule5(int score) {
    int sum = 0;
    assert(score % 2);
    if (score % 2 == 0) {
        for (int d = 1; d <= score; ++d)
            if (score % d == 0)
                sum += d;
    }
    return score + sum;
}

int rule6(int score) {
    if (present('7') == 4)
        score -= 11 * 11;
    return score;
}

int rule7(int score) {
    assert(score >= 0);
    int lowest = INF;
    for (auto card : hand)
        lowest = min(lowest, values.at(card[0]));
    return score + lowest;
}

int rule8(int score) {
    assert(score >= 0);
    if (score < 0)
        score = -score;
    return score;
}

int rule9(int score) {
    if (present('D') >= 3) {
        for (auto & card : hand) {
            switch (card[0]) {
                case '2':
                case '5':
                    card[0] = '5' - card[0] + '2';
                break;
                case '6':
                case '9':
                    card[0] = '9' - card[0] + '6';
                break;
            }
        }
        score += 1;
    }
    return score;
}


int rule10(int score) {
    auto cards = {'2', '3', '4', '5', '6', '7', '8', '9', 'T', 'J', 'Q', 'K', 'A'};
    int inRow = 0;
    for (auto x : cards) {
        if (!present(x))
            inRow = 0;
        else if (++inRow == 5) {
            score += present('A') * 5;
            return score;
        }
    }
    return score;
}

int rule11(int score) {
    assert(modifiedCnt <= 8);
    if (modifiedCnt > 8) {
        for (int tmp = score; tmp; tmp /= 2)
            score += tmp & 1;
    }
    return score;
}

int rule12(int score) {
    if (present('2'))
        return modified(score);
    return score;
}

int rule13(int score) {
    return present('2') ? score * 2 : score;
}

int main() {
    auto rules = {rule0, rule1, rule2, rule3, rule4, rule5, rule6, rule7, rule8, rule9, rule10, rule11, rule12, rule13};
    for (auto & card : hand) {
        cin >> card;
        if (card[0] == '1' && card[1] == '0')
            card = string("T") + card[2];
    }
    int score = 0;
    modifiedCnt = 0;
    for (auto rule : rules) {
        int prevScore = score;
        score = rule(score);
        // D(score);
        if (prevScore != score) {
            modified = rule;
            ++modifiedCnt;
        }
        // D(modifiedCnt);
    }
    cout << score << endl;
    return 0;
}